[ HDF5 Tutorial Top ]

# Utilities (h5dump, h5ls)

The h5dump and h5ls utilities can be used to examine the contents of an hdf5 file.

## h5dump

    h5dump [-h] [-bb] [-header] [-a <names>] [-d <names>] [-g <names>]
           [-l <names>] [-t <names>] <file>

      -h            Print information on this command.
      -bb           Display the content of the boot block. The default is not to display.
      -header       Display header only; no data is displayed.
      -a <names>    Display the specified attribute(s).
      -d <names>    Display the specified dataset(s).
      -g <names>    Display the specified group(s) and all the members.
      -l <names>    Displays the value(s) of the specified soft link(s).
      -t <names>    Display the specified named data type(s).

      <names> is one or more appropriate object names.

## h5ls

    h5ls [OPTIONS] FILE [OBJECTS...]

       OPTIONS
          -h, -?, --help   Print a usage message and exit
          -d, --dump       Print the values of datasets
          -f, --full       Print full path names instead of base names
          -l, --label      Label members of compound datasets
          -r, --recursive  List all groups recursively, avoiding cycles
          -s, --string     Print 1-byte integer datasets as ASCII
          -wN, --width=N   Set the number of columns of output
          -v, --verbose    Generate more verbose output
          -V, --version    Print version number and exit
       FILE
          The file name may include a printf(3C) integer format such as
          "%05d" to open a file family.
       OBJECTS
          The names of zero or more objects about which information should be
          displayed.  If a group is mentioned then information about each of its
          members is displayed.  If no object names are specified then
          information about all of the objects in the root group is displayed.

The National Center for Supercomputing Applications
University of Illinois at Urbana-Champaign
hdfhelp@ncsa.uiuc.edu

###### Last Modified: June 22, 2001